// Generated by using Rcpp::compileAttributes() -> do not edit by hand
// Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#include <Rcpp.h>

using namespace Rcpp;

// getCovMat
NumericMatrix getCovMat(NumericVector err, NumericVector cor);
RcppExport SEXP _nsstools_getCovMat(SEXP errSEXP, SEXP corSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< NumericVector >::type err(errSEXP);
    Rcpp::traits::input_parameter< NumericVector >::type cor(corSEXP);
    rcpp_result_gen = Rcpp::wrap(getCovMat(err, cor));
    return rcpp_result_gen;
END_RCPP
}
// getTICHerrors
DataFrame getTICHerrors(NumericMatrix covMat, double A, double B, double F, double G, double C, double H);
RcppExport SEXP _nsstools_getTICHerrors(SEXP covMatSEXP, SEXP ASEXP, SEXP BSEXP, SEXP FSEXP, SEXP GSEXP, SEXP CSEXP, SEXP HSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< NumericMatrix >::type covMat(covMatSEXP);
    Rcpp::traits::input_parameter< double >::type A(ASEXP);
    Rcpp::traits::input_parameter< double >::type B(BSEXP);
    Rcpp::traits::input_parameter< double >::type F(FSEXP);
    Rcpp::traits::input_parameter< double >::type G(GSEXP);
    Rcpp::traits::input_parameter< double >::type C(CSEXP);
    Rcpp::traits::input_parameter< double >::type H(HSEXP);
    rcpp_result_gen = Rcpp::wrap(getTICHerrors(covMat, A, B, F, G, C, H));
    return rcpp_result_gen;
END_RCPP
}

static const R_CallMethodDef CallEntries[] = {
    {"_nsstools_getCovMat", (DL_FUNC) &_nsstools_getCovMat, 2},
    {"_nsstools_getTICHerrors", (DL_FUNC) &_nsstools_getTICHerrors, 7},
    {NULL, NULL, 0}
};

RcppExport void R_init_nsstools(DllInfo *dll) {
    R_registerRoutines(dll, NULL, CallEntries, NULL, NULL);
    R_useDynamicSymbols(dll, FALSE);
}
